Rename EMIT macro to DMEMIT.
--- diff/drivers/md/dm-mpath.c	2004-07-01 21:35:37.000000000 +0100
+++ source/drivers/md/dm-mpath.c	2004-07-01 21:36:54.000000000 +0100
@@ -639,19 +639,19 @@
 	struct path *p;
 	char buffer[32];
 
-#define EMIT(x...) sz += ((sz >= maxlen) ? \
+#define DMEMIT(x...) sz += ((sz >= maxlen) ? \
 			  0 : scnprintf(result + sz, maxlen - sz, x))
 
 	switch (type) {
 	case STATUSTYPE_INFO:
-		EMIT("%u ", m->nr_priority_groups);
+		DMEMIT("%u ", m->nr_priority_groups);
 
 		list_for_each_entry(pg, &m->priority_groups, list) {
-			EMIT("%u %u ", pg->nr_paths, pg->ps.type->info_args);
+			DMEMIT("%u %u ", pg->nr_paths, pg->ps.type->info_args);
 
 			list_for_each_entry(p, &pg->paths, list) {
 				format_dev_t(buffer, p->dev->bdev->bd_dev);
-				EMIT("%s ", buffer);
+				DMEMIT("%s ", buffer);
 				sz += pg->ps.type->status(&pg->ps, p, type,
 						     result + sz, maxlen - sz);
 			}
@@ -659,15 +659,15 @@
 		break;
 
 	case STATUSTYPE_TABLE:
-		EMIT("%u ", m->nr_priority_groups);
+		DMEMIT("%u ", m->nr_priority_groups);
 
 		list_for_each_entry(pg, &m->priority_groups, list) {
-			EMIT("%s %u %u ", pg->ps.type->name,
-			     pg->nr_paths, pg->ps.type->table_args);
+			DMEMIT("%s %u %u ", pg->ps.type->name,
+			       pg->nr_paths, pg->ps.type->table_args);
 
 			list_for_each_entry(p, &pg->paths, list) {
 				format_dev_t(buffer, p->dev->bdev->bd_dev);
-				EMIT("%s ", buffer);
+				DMEMIT("%s ", buffer);
 				sz += pg->ps.type->status(&pg->ps, p, type,
 						     result + sz, maxlen - sz);
 
--- diff/drivers/md/dm-raid1.c	2004-07-01 21:34:37.000000000 +0100
+++ source/drivers/md/dm-raid1.c	2004-07-01 21:37:25.000000000 +0100
@@ -1185,32 +1185,32 @@
 	unsigned int m, sz = 0;
 	struct mirror_set *ms = (struct mirror_set *) ti->private;
 
-#define EMIT(x...) sz += ((sz >= maxlen) ? \
+#define DMEMIT(x...) sz += ((sz >= maxlen) ? \
 			  0 : scnprintf(result + sz, maxlen - sz, x))
 
 	switch (type) {
 	case STATUSTYPE_INFO:
-		EMIT("%d ", ms->nr_mirrors);
+		DMEMIT("%d ", ms->nr_mirrors);
 
 		for (m = 0; m < ms->nr_mirrors; m++) {
 			format_dev_t(buffer, ms->mirror[m].dev->bdev->bd_dev);
-			EMIT("%s ", buffer);
+			DMEMIT("%s ", buffer);
 		}
 
-		EMIT(SECTOR_FORMAT "/" SECTOR_FORMAT,
-		     ms->rh.log->type->get_sync_count(ms->rh.log),
-		     ms->nr_regions);
+		DMEMIT(SECTOR_FORMAT "/" SECTOR_FORMAT,
+		       ms->rh.log->type->get_sync_count(ms->rh.log),
+		       ms->nr_regions);
 		break;
 
 	case STATUSTYPE_TABLE:
-		EMIT("%s 1 " SECTOR_FORMAT " %d ",
-		     ms->rh.log->type->name, ms->rh.region_size,
-		     ms->nr_mirrors);
+		DMEMIT("%s 1 " SECTOR_FORMAT " %d ",
+		       ms->rh.log->type->name, ms->rh.region_size,
+		       ms->nr_mirrors);
 
 		for (m = 0; m < ms->nr_mirrors; m++) {
 			format_dev_t(buffer, ms->mirror[m].dev->bdev->bd_dev);
-			EMIT("%s " SECTOR_FORMAT " ",
-			     buffer, ms->mirror[m].offset);
+			DMEMIT("%s " SECTOR_FORMAT " ",
+			       buffer, ms->mirror[m].offset);
 		}
 	}
 
--- diff/drivers/md/dm-stripe.c	2004-05-19 22:11:47.000000000 +0100
+++ source/drivers/md/dm-stripe.c	2004-07-01 21:37:40.000000000 +0100
@@ -191,7 +191,7 @@
 	unsigned int i;
 	char buffer[32];
 
-#define EMIT(x...) sz += ((sz >= maxlen) ? \
+#define DMEMIT(x...) sz += ((sz >= maxlen) ? \
 			  0 : scnprintf(result + sz, maxlen - sz, x))
 
 	switch (type) {
@@ -200,11 +200,11 @@
 		break;
 
 	case STATUSTYPE_TABLE:
-		EMIT("%d " SECTOR_FORMAT, sc->stripes, sc->chunk_mask + 1);
+		DMEMIT("%d " SECTOR_FORMAT, sc->stripes, sc->chunk_mask + 1);
 		for (i = 0; i < sc->stripes; i++) {
 			format_dev_t(buffer, sc->stripe[i].dev->bdev->bd_dev);
-			EMIT(" %s " SECTOR_FORMAT, buffer,
-			     sc->stripe[i].physical_start);
+			DMEMIT(" %s " SECTOR_FORMAT, buffer,
+			       sc->stripe[i].physical_start);
 		}
 		break;
 	}
